<?php
add_action( 'widgets_init', 'pasargad_posts_list_widget' );
function pasargad_posts_list_widget() {
	register_widget( 'posts_list' );
}
class posts_list extends WP_Widget {

	function posts_list() {
		$widget_ops = array( 'classname' => 'posts-list'  );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_posts-list-widget' );
		$this->WP_Widget( 'pasargad_posts-list-widget','2- آخرین مطالب دو حالته', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['posts_list_title'] );
		$no_of_posts = $instance['no_of_posts'];
		$posts_order = $instance['posts_order'];
		$thumb = $instance['thumb'];
		$date = $instance['date'];
?>
		<?php echo $before_widget;?>
		<?php echo $before_title;?>
		<?php echo $title ; ?>
		<?php echo $after_title; ?>
				<ul>
					<?php
					if( $posts_order == 'random' )
					pasargad_random_posts($no_of_posts , $thumb , $date);
					else
						pasargad_last_posts($no_of_posts , $thumb , $date)?>	
				</ul>

	<?php 
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['posts_list_title'] = strip_tags( $new_instance['posts_list_title'] );
		$instance['no_of_posts'] = strip_tags( $new_instance['no_of_posts'] );
		$instance['posts_order'] = strip_tags( $new_instance['posts_order'] );
		$instance['thumb'] = strip_tags( $new_instance['thumb'] );
		$instance['date'] = strip_tags( $new_instance['date'] );
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'posts_list_title' =>__('پست ها اخیر ') , 'no_of_posts' => '5' , 'posts_order' => 'latest', 'thumb' => 'true' , 'date' => 'true'  );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'posts_list_title' ); ?>">عنوان : </label>
			<input id="<?php echo $this->get_field_id( 'posts_list_title' ); ?>" name="<?php echo $this->get_field_name( 'posts_list_title' ); ?>" value="<?php echo $instance['posts_list_title']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'no_of_posts' ); ?>">تعداد مطالب برای نمایش : </label>
			<input id="<?php echo $this->get_field_id( 'no_of_posts' ); ?>" name="<?php echo $this->get_field_name( 'no_of_posts' ); ?>" value="<?php echo $instance['no_of_posts']; ?>" type="text" size="3" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'posts_order' ); ?>">نحوه ی نمایش : </label>
			<select id="<?php echo $this->get_field_id( 'posts_order' ); ?>" name="<?php echo $this->get_field_name( 'posts_order' ); ?>" >
				<option value="latest" <?php if( $instance['posts_order'] == 'latest' ) echo "selected=\"selected\""; else echo ""; ?>>تازه منتشر شده</option>
				<option value="random" <?php if( $instance['posts_order'] == 'random' ) echo "selected=\"selected\""; else echo ""; ?>>مطالب تصادفی</option>
			</select>
		</p>
				<p>
			<label for="<?php echo $this->get_field_id( 'thumb' ); ?>">نمایش تصویر بندانگشتی : </label>
			<input id="<?php echo $this->get_field_id( 'thumb' ); ?>" name="<?php echo $this->get_field_name( 'thumb' ); ?>" value="true" <?php if( $instance['thumb'] ) echo 'checked="checked"'; ?> type="checkbox" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'date' ); ?>">نمایش تاریخ انتشار نوشته : </label>
			<input id="<?php echo $this->get_field_id( 'date' ); ?>" name="<?php echo $this->get_field_name( 'date' ); ?>" value="true" <?php if( $instance['date'] ) echo 'checked="checked"'; ?> type="checkbox" />
		</p>

	<?php
	}
}

?>